diff --git a/package/firmware/ath10k-ct-firmware/Makefile b/package/firmware/ath10k-ct-firmware/Makefile
index 79bdeeec4f..959bfa975b 100644
--- a/package/firmware/ath10k-ct-firmware/Makefile
+++ b/package/firmware/ath10k-ct-firmware/Makefile
@@ -2,7 +2,7 @@ include $(TOPDIR)/rules.mk
 
 PKG_NAME:=ath10k-ct-firmware
 PKG_VERSION:=2020-03-25
-PKG_RELEASE:=1
+PKG_RELEASE:=2
 
 include $(INCLUDE_DIR)/package.mk
 
@@ -74,7 +74,7 @@ endef
 $(eval $(call Download,qca9888-board2))
 
 CT_FIRMWARE_FILE = $(1)-$($(1)_FIRMWARE_FILE_CT)
-CT_FIRMWARE_FILE_HTT = $(1)-$($(1)_FIRMWARE_FILE_CT_HTT)
+CT_FIRMWARE_FILE_FULL_HTT = $(1)-$($(1)_FIRMWARE_FILE_CT_FULL_HTT)
 
 define Download/ct-firmware
   URL:=https://www.candelatech.com/downloads/$(2)
@@ -82,10 +82,10 @@ define Download/ct-firmware
   URL_FILE:=$($(1)_FIRMWARE_FILE_CT)
 endef
 
-define Download/ct-firmware-htt
+define Download/ct-firmware-full-htt
   URL:=https://www.candelatech.com/downloads/$(2)
-  FILE:=$(call CT_FIRMWARE_FILE_HTT,$(1))
-  URL_FILE:=$($(1)_FIRMWARE_FILE_CT_HTT)
+  FILE:=$(call CT_FIRMWARE_FILE_FULL_HTT,$(1))
+  URL_FILE:=$($(1)_FIRMWARE_FILE_CT_FULL_HTT)
 endef
 
 QCA988X_FIRMWARE_FILE_CT:=firmware-2-ct-full-community-22.bin.lede.017
@@ -95,12 +95,12 @@ define Download/ath10k-firmware-qca988x-ct
 endef
 $(eval $(call Download,ath10k-firmware-qca988x-ct))
 
-QCA988X_FIRMWARE_FILE_CT_HTT:=firmware-2-ct-full-htt-mgt-community-22.bin.lede.017
-define Download/ath10k-firmware-qca988x-ct-htt
-  $(call Download/ct-firmware-htt,QCA988X,)
+QCA988X_FIRMWARE_FILE_CT_FULL_HTT:=firmware-2-ct-full-htt-mgt-community-22.bin.lede.017
+define Download/ath10k-firmware-qca988x-ct-full-htt
+  $(call Download/ct-firmware-full-htt,QCA988X,)
   HASH:=5e4285d5c6eee159a25ca14c6ce26022c32380bd7bafaedfc0c5de1510119007
 endef
-$(eval $(call Download,ath10k-firmware-qca988x-ct-htt))
+$(eval $(call Download,ath10k-firmware-qca988x-ct-full-htt))
 
 
 QCA9887_FIRMWARE_FILE_CT:=firmware-2-ct-full-community-22.bin.lede.017
@@ -110,12 +110,12 @@ define Download/ath10k-firmware-qca9887-ct
 endef
 $(eval $(call Download,ath10k-firmware-qca9887-ct))
 
-QCA9887_FIRMWARE_FILE_CT_HTT:=firmware-2-ct-full-htt-mgt-community-22.bin.lede.017
-define Download/ath10k-firmware-qca9887-ct-htt
-  $(call Download/ct-firmware-htt,QCA9887,ath10k-9887)
+QCA9887_FIRMWARE_FILE_CT_FULL_HTT:=firmware-2-ct-full-htt-mgt-community-22.bin.lede.017
+define Download/ath10k-firmware-qca9887-ct-full-htt
+  $(call Download/ct-firmware-full-htt,QCA9887,ath10k-9887)
   HASH:=dc681b6b1e45956e7c2e418ab05eee5c943d13e775209196d9bd931ff6493935
 endef
-$(eval $(call Download,ath10k-firmware-qca9887-ct-htt))
+$(eval $(call Download,ath10k-firmware-qca9887-ct-full-htt))
 
 
 QCA99X0_FIRMWARE_FILE_CT:=firmware-5-ct-full-community-12.bin-lede.017
@@ -125,12 +125,12 @@ define Download/ath10k-firmware-qca99x0-ct
 endef
 $(eval $(call Download,ath10k-firmware-qca99x0-ct))
 
-QCA99X0_FIRMWARE_FILE_CT_HTT:=firmware-5-ct-full-htt-mgt-community-12.bin-lede.017
-define Download/ath10k-firmware-qca99x0-ct-htt
-  $(call Download/ct-firmware-htt,QCA99X0,ath10k-10-4b)
+QCA99X0_FIRMWARE_FILE_CT_FULL_HTT:=firmware-5-ct-full-htt-mgt-community-12.bin-lede.017
+define Download/ath10k-firmware-qca99x0-ct-full-htt
+  $(call Download/ct-firmware-full-htt,QCA99X0,ath10k-10-4b)
   HASH:=adedcd3d379a910bc3a5257d75f8970e11319f4cd9c1b34440d35821602a8b9c
 endef
-$(eval $(call Download,ath10k-firmware-qca99x0-ct-htt))
+$(eval $(call Download,ath10k-firmware-qca99x0-ct-full-htt))
 
 
 QCA9984_FIRMWARE_FILE_CT:=firmware-5-ct-full-community-12.bin-lede.017
@@ -140,12 +140,12 @@ define Download/ath10k-firmware-qca9984-ct
 endef
 $(eval $(call Download,ath10k-firmware-qca9984-ct))
 
-QCA9984_FIRMWARE_FILE_CT_HTT:=firmware-5-ct-full-htt-mgt-community-12.bin-lede.017
-define Download/ath10k-firmware-qca9984-ct-htt
-  $(call Download/ct-firmware-htt,QCA9984,ath10k-9984-10-4b)
+QCA9984_FIRMWARE_FILE_CT_FULL_HTT:=firmware-5-ct-full-htt-mgt-community-12.bin-lede.017
+define Download/ath10k-firmware-qca9984-ct-full-htt
+  $(call Download/ct-firmware-full-htt,QCA9984,ath10k-9984-10-4b)
   HASH:=eb8b894cfe0d1aaa87f130bb7fd1815ef07b951c14df8a2ceaeb780df8f640e0
 endef
-$(eval $(call Download,ath10k-firmware-qca9984-ct-htt))
+$(eval $(call Download,ath10k-firmware-qca9984-ct-full-htt))
 
 
 QCA4019_FIRMWARE_FILE_CT:=firmware-5-ct-full-community-12.bin-lede.017
@@ -155,12 +155,12 @@ define Download/ath10k-firmware-qca4019-ct
 endef
 $(eval $(call Download,ath10k-firmware-qca4019-ct))
 
-QCA4019_FIRMWARE_FILE_CT_HTT:=firmware-5-ct-full-htt-mgt-community-12.bin-lede.017
-define Download/ath10k-firmware-qca4019-ct-htt
-  $(call Download/ct-firmware-htt,QCA4019,ath10k-4019-10-4b)
+QCA4019_FIRMWARE_FILE_CT_FULL_HTT:=firmware-5-ct-full-htt-mgt-community-12.bin-lede.017
+define Download/ath10k-firmware-qca4019-ct-full-htt
+  $(call Download/ct-firmware-full-htt,QCA4019,ath10k-4019-10-4b)
   HASH:=559c911f23856b1d3d864ce714d1bef7262bf6638e93e057ecf8d5dba48ca1e6
 endef
-$(eval $(call Download,ath10k-firmware-qca4019-ct-htt))
+$(eval $(call Download,ath10k-firmware-qca4019-ct-full-htt))
 
 
 QCA9888_FIRMWARE_FILE_CT:=firmware-5-ct-full-community-12.bin-lede.017
@@ -170,12 +170,12 @@ define Download/ath10k-firmware-qca9888-ct
 endef
 $(eval $(call Download,ath10k-firmware-qca9888-ct))
 
-QCA9888_FIRMWARE_FILE_CT_HTT:=firmware-5-ct-full-htt-mgt-community-12.bin-lede.017
-define Download/ath10k-firmware-qca9888-ct-htt
-  $(call Download/ct-firmware-htt,QCA9888,ath10k-9888-10-4b)
+QCA9888_FIRMWARE_FILE_CT_FULL_HTT:=firmware-5-ct-full-htt-mgt-community-12.bin-lede.017
+define Download/ath10k-firmware-qca9888-ct-full-htt
+  $(call Download/ct-firmware-full-htt,QCA9888,ath10k-9888-10-4b)
   HASH:=26fe7c00df10e93373a0f9f105e85d02bb8b1cdd629183ce22a5147138336aec
 endef
-$(eval $(call Download,ath10k-firmware-qca9888-ct-htt))
+$(eval $(call Download,ath10k-firmware-qca9888-ct-full-htt))
 
 
 define Package/ath10k-ct-firmware-default
@@ -192,9 +192,9 @@ $(Package/ath10k-ct-firmware-default)
   CATEGORY:=Firmware
   PROVIDES:=ath10k-firmware-qca988x
 endef
-define Package/ath10k-firmware-qca988x-ct-htt
+define Package/ath10k-firmware-qca988x-ct-full-htt
 $(Package/ath10k-ct-firmware-default)
-  TITLE:=ath10k CT 10.1 htt-mgt fw for QCA988x
+  TITLE:=ath10k CT 10.1 full-htt-mgt fw for QCA988x
   SECTION:=firmware
   CATEGORY:=Firmware
   PROVIDES:=ath10k-firmware-qca988x
@@ -208,9 +208,9 @@ $(Package/ath10k-ct-firmware-default)
   CATEGORY:=Firmware
   PROVIDES:=ath10k-firmware-qca9887
 endef
-define Package/ath10k-firmware-qca9887-ct-htt
+define Package/ath10k-firmware-qca9887-ct-full-htt
 $(Package/ath10k-ct-firmware-default)
-  TITLE:=ath10k CT 10.1 htt-mgt fw for QCA9887
+  TITLE:=ath10k CT 10.1 full-htt-mgt fw for QCA9887
   SECTION:=firmware
   CATEGORY:=Firmware
   PROVIDES:=ath10k-firmware-qca9887
@@ -224,9 +224,9 @@ $(Package/ath10k-ct-firmware-default)
   CATEGORY:=Firmware
   PROVIDES:=ath10k-firmware-qca99x0
 endef
-define Package/ath10k-firmware-qca99x0-ct-htt
+define Package/ath10k-firmware-qca99x0-ct-full-htt
 $(Package/ath10k-ct-firmware-default)
-  TITLE:=ath10k CT 10.4 htt-mgt fw for QCA99x0
+  TITLE:=ath10k CT 10.4 full-htt-mgt fw for QCA99x0
   SECTION:=firmware
   CATEGORY:=Firmware
   PROVIDES:=ath10k-firmware-qca99x0
@@ -240,9 +240,9 @@ $(Package/ath10k-ct-firmware-default)
   CATEGORY:=Firmware
   PROVIDES:=ath10k-firmware-qca9984
 endef
-define Package/ath10k-firmware-qca9984-ct-htt
+define Package/ath10k-firmware-qca9984-ct-full-htt
 $(Package/ath10k-ct-firmware-default)
-  TITLE:=ath10k CT 10.4 htt-mgt fw for QCA9984
+  TITLE:=ath10k CT 10.4 full-htt-mgt fw for QCA9984
   SECTION:=firmware
   CATEGORY:=Firmware
   PROVIDES:=ath10k-firmware-qca9984
@@ -256,9 +256,9 @@ $(Package/ath10k-ct-firmware-default)
   CATEGORY:=Firmware
   PROVIDES:=ath10k-firmware-qca4019
 endef
-define Package/ath10k-firmware-qca4019-ct-htt
+define Package/ath10k-firmware-qca4019-ct-full-htt
 $(Package/ath10k-ct-firmware-default)
-  TITLE:=ath10k CT 10.4 htt-mgt for QCA4018/9
+  TITLE:=ath10k CT 10.4 full-htt-mgt for QCA4018/9
   SECTION:=firmware
   CATEGORY:=Firmware
   PROVIDES:=ath10k-firmware-qca4019
@@ -272,9 +272,9 @@ $(Package/ath10k-ct-firmware-default)
   CATEGORY:=Firmware
   PROVIDES:=ath10k-firmware-qca9888
 endef
-define Package/ath10k-firmware-qca9888-ct-htt
+define Package/ath10k-firmware-qca9888-ct-full-htt
 $(Package/ath10k-ct-firmware-default)
-  TITLE:=ath10k CT 10.4 htt-mgt fw for QCA9886/8
+  TITLE:=ath10k CT 10.4 full-htt-mgt fw for QCA9886/8
   SECTION:=firmware
   CATEGORY:=Firmware
   PROVIDES:=ath10k-firmware-qca9888
@@ -289,7 +289,7 @@ http://www.candelatech.com/ath10k-10.1.php
 This firmware conflicts with the standard 9887 firmware, so select only
 one.
 endef
-define Package/ath10k-firmware-qca9887-ct-htt/description
+define Package/ath10k-firmware-qca9887-ct-full-htt/description
 Alternative ath10k firmware for QCA9887 from Candela Technologies.
 Uses normal HTT TX data path for management frames, which improves
 stability in busy networks and fixes .11r authentication.
@@ -306,7 +306,7 @@ This firmware will NOT be used unless the standard ath10k-firmware-qca988x
 is un-selected since the driver will try to load firmware-5.bin before
 firmware-2.bin
 endef
-define Package/ath10k-firmware-qca988x-ct-htt/description
+define Package/ath10k-firmware-qca988x-ct-full-htt/description
 Alternative ath10k firmware for QCA988X from Candela Technologies.
 Uses normal HTT TX data path for management frames, which improves
 stability in busy networks and fixes .11r authentication.
@@ -322,7 +322,7 @@ http://www.candelatech.com/ath10k-10.4.php
 This firmware conflicts with the standard 99x0 firmware, so select only
 one.
 endef
-define Package/ath10k-firmware-qca99x0-ct-htt/description
+define Package/ath10k-firmware-qca99x0-ct-full-htt/description
 Alternative ath10k firmware for QCA99x0 from Candela Technologies.
 Uses normal HTT TX data path for management frames, which improves
 stability in busy networks and may be required for .11r authentication.
@@ -338,7 +338,7 @@ http://www.candelatech.com/ath10k-10.4.php
 This firmware conflicts with the standard 9984 firmware, so select only
 one.
 endef
-define Package/ath10k-firmware-qca9984-ct-htt/description
+define Package/ath10k-firmware-qca9984-ct-full-htt/description
 Alternative ath10k firmware for QCA9984 from Candela Technologies.
 Uses normal HTT TX data path for management frames, which improves
 stability in busy networks and may be required for .11r authentication.
@@ -352,7 +352,7 @@ Alternative ath10k firmware for IPQ4019 radio from Candela Technologies.
 Enables IBSS and other features.  Works with standard or ath10k-ct driver.
 See:  http://www.candelatech.com/ath10k-10.4.php
 endef
-define Package/ath10k-firmware-qca4019-ct-htt/description
+define Package/ath10k-firmware-qca4019-ct-full-htt/description
 Alternative ath10k firmware for IPQ4019 radio from Candela Technologies.
 Uses normal HTT TX data path for management frames, which improves
 stability in busy networks and may be required for .11r authentication.
@@ -368,7 +368,7 @@ http://www.candelatech.com/ath10k-10.4.php
 This firmware conflicts with the standard 9886 and 9888 firmware, so select only
 one.
 endef
-define Package/ath10k-firmware-qca9888-ct-htt/description
+define Package/ath10k-firmware-qca9888-ct-full-htt/description
 Alternative ath10k firmware for QCA9886 and QCA9888 from Candela Technologies.
 Uses normal HTT TX data path for management frames, which improves
 stability in busy networks and may be required for .11r authentication.
@@ -392,10 +392,10 @@ define Package/ath10k-firmware-qca9887-ct/install
 		$(DL_DIR)/$(QCA9887_BOARD_FILE) \
 		$(1)/lib/firmware/ath10k/QCA9887/hw1.0/board.bin
 endef
-define Package/ath10k-firmware-qca9887-ct-htt/install
+define Package/ath10k-firmware-qca9887-ct-full-htt/install
 	$(INSTALL_DIR) $(1)/lib/firmware/ath10k/QCA9887/hw1.0
 	$(INSTALL_DATA) \
-		$(DL_DIR)/$(call CT_FIRMWARE_FILE_HTT,QCA9887) \
+		$(DL_DIR)/$(call CT_FIRMWARE_FILE_FULL_HTT,QCA9887) \
 		$(1)/lib/firmware/ath10k/QCA9887/hw1.0/ct-firmware-2.bin
 	$(INSTALL_DATA) \
 		$(DL_DIR)/$(QCA9887_BOARD_FILE) \
@@ -411,13 +411,13 @@ define Package/ath10k-firmware-qca988x-ct/install
 		$(DL_DIR)/$(call CT_FIRMWARE_FILE,QCA988X) \
 		$(1)/lib/firmware/ath10k/QCA988X/hw2.0/firmware-2.bin
 endef
-define Package/ath10k-firmware-qca988x-ct-htt/install
+define Package/ath10k-firmware-qca988x-ct-full-htt/install
 	$(INSTALL_DIR) $(1)/lib/firmware/ath10k/QCA988X/hw2.0
 	$(INSTALL_DATA) \
 		$(DL_DIR)/$(QCA988X_BOARD_FILE) \
 		$(1)/lib/firmware/ath10k/QCA988X/hw2.0/board.bin
 	$(INSTALL_DATA) \
-		$(DL_DIR)/$(call CT_FIRMWARE_FILE_HTT,QCA988X) \
+		$(DL_DIR)/$(call CT_FIRMWARE_FILE_FULL_HTT,QCA988X) \
 		$(1)/lib/firmware/ath10k/QCA988X/hw2.0/ct-firmware-2.bin
 endef
 
@@ -433,7 +433,7 @@ define Package/ath10k-firmware-qca99x0-ct/install
 		$(DL_DIR)/$(call CT_FIRMWARE_FILE,QCA99X0) \
 		$(1)/lib/firmware/ath10k/QCA99X0/hw2.0/firmware-5.bin
 endef
-define Package/ath10k-firmware-qca99x0-ct-htt/install
+define Package/ath10k-firmware-qca99x0-ct-full-htt/install
 	$(INSTALL_DIR) $(1)/lib/firmware/ath10k/QCA99X0/hw2.0
 	$(INSTALL_DATA) \
 		$(DL_DIR)/$(QCA99X0_BOARD2_FILE) \
@@ -442,7 +442,7 @@ define Package/ath10k-firmware-qca99x0-ct-htt/install
 		$(DL_DIR)/$(QCA99X0_BOARD_FILE) \
 		$(1)/lib/firmware/ath10k/QCA99X0/hw2.0/board.bin
 	$(INSTALL_DATA) \
-		$(DL_DIR)/$(call CT_FIRMWARE_FILE_HTT,QCA99X0) \
+		$(DL_DIR)/$(call CT_FIRMWARE_FILE_FULL_HTT,QCA99X0) \
 		$(1)/lib/firmware/ath10k/QCA99X0/hw2.0/ct-firmware-5.bin
 endef
 
@@ -455,13 +455,13 @@ define Package/ath10k-firmware-qca9984-ct/install
 		$(DL_DIR)/$(call CT_FIRMWARE_FILE,QCA9984) \
 		$(1)/lib/firmware/ath10k/QCA9984/hw1.0/firmware-5.bin
 endef
-define Package/ath10k-firmware-qca9984-ct-htt/install
+define Package/ath10k-firmware-qca9984-ct-full-htt/install
 	$(INSTALL_DIR) $(1)/lib/firmware/ath10k/QCA9984/hw1.0
 	$(INSTALL_DATA) \
 		$(DL_DIR)/$(QCA9984_BOARD2_FILE) \
 		$(1)/lib/firmware/ath10k/QCA9984/hw1.0/board-2.bin
 	$(INSTALL_DATA) \
-		$(DL_DIR)/$(call CT_FIRMWARE_FILE_HTT,QCA9984) \
+		$(DL_DIR)/$(call CT_FIRMWARE_FILE_FULL_HTT,QCA9984) \
 		$(1)/lib/firmware/ath10k/QCA9984/hw1.0/ct-firmware-5.bin
 endef
 
@@ -474,13 +474,13 @@ define Package/ath10k-firmware-qca4019-ct/install
 		$(DL_DIR)/$(call CT_FIRMWARE_FILE,QCA4019) \
 		$(1)/lib/firmware/ath10k/QCA4019/hw1.0/firmware-5.bin
 endef
-define Package/ath10k-firmware-qca4019-ct-htt/install
+define Package/ath10k-firmware-qca4019-ct-full-htt/install
 	$(INSTALL_DIR) $(1)/lib/firmware/ath10k/QCA4019/hw1.0
 	$(INSTALL_DATA) \
 		$(DL_DIR)/$(QCA4019_BOARD2_FILE) \
 		$(1)/lib/firmware/ath10k/QCA4019/hw1.0/board-2.bin
 	$(INSTALL_DATA) \
-		$(DL_DIR)/$(call CT_FIRMWARE_FILE_HTT,QCA4019) \
+		$(DL_DIR)/$(call CT_FIRMWARE_FILE_FULL_HTT,QCA4019) \
 		$(1)/lib/firmware/ath10k/QCA4019/hw1.0/ct-firmware-5.bin
 endef
 
@@ -496,7 +496,7 @@ define Package/ath10k-firmware-qca9888-ct/install
 		$(DL_DIR)/$(call CT_FIRMWARE_FILE,QCA9888) \
 		$(1)/lib/firmware/ath10k/QCA9888/hw2.0/firmware-5.bin
 endef
-define Package/ath10k-firmware-qca9888-ct-htt/install
+define Package/ath10k-firmware-qca9888-ct-full-htt/install
 	$(INSTALL_DIR) $(1)/lib/firmware/ath10k/QCA9888/hw2.0
 	ln -s \
 		../../cal-pci-0000:01:00.0.bin \
@@ -505,20 +505,20 @@ define Package/ath10k-firmware-qca9888-ct-htt/install
 		$(DL_DIR)/$(QCA9888_BOARD2_FILE) \
 		$(1)/lib/firmware/ath10k/QCA9888/hw2.0/board-2.bin
 	$(INSTALL_DATA) \
-		$(DL_DIR)/$(call CT_FIRMWARE_FILE_HTT,QCA9888) \
+		$(DL_DIR)/$(call CT_FIRMWARE_FILE_FULL_HTT,QCA9888) \
 		$(1)/lib/firmware/ath10k/QCA9888/hw2.0/ct-firmware-5.bin
 endef
 
 
 $(eval $(call BuildPackage,ath10k-firmware-qca9887-ct))
-$(eval $(call BuildPackage,ath10k-firmware-qca9887-ct-htt))
+$(eval $(call BuildPackage,ath10k-firmware-qca9887-ct-full-htt))
 $(eval $(call BuildPackage,ath10k-firmware-qca988x-ct))
-$(eval $(call BuildPackage,ath10k-firmware-qca988x-ct-htt))
+$(eval $(call BuildPackage,ath10k-firmware-qca988x-ct-full-htt))
 $(eval $(call BuildPackage,ath10k-firmware-qca99x0-ct))
-$(eval $(call BuildPackage,ath10k-firmware-qca99x0-ct-htt))
+$(eval $(call BuildPackage,ath10k-firmware-qca99x0-ct-full-htt))
 $(eval $(call BuildPackage,ath10k-firmware-qca9984-ct))
-$(eval $(call BuildPackage,ath10k-firmware-qca9984-ct-htt))
+$(eval $(call BuildPackage,ath10k-firmware-qca9984-ct-full-htt))
 $(eval $(call BuildPackage,ath10k-firmware-qca4019-ct))
-$(eval $(call BuildPackage,ath10k-firmware-qca4019-ct-htt))
+$(eval $(call BuildPackage,ath10k-firmware-qca4019-ct-full-htt))
 $(eval $(call BuildPackage,ath10k-firmware-qca9888-ct))
-$(eval $(call BuildPackage,ath10k-firmware-qca9888-ct-htt))
+$(eval $(call BuildPackage,ath10k-firmware-qca9888-ct-full-htt))
diff --git a/target/linux/ath79/image/generic.mk b/target/linux/ath79/image/generic.mk
index 55053be34f..b9ec23c326 100644
--- a/target/linux/ath79/image/generic.mk
+++ b/target/linux/ath79/image/generic.mk
@@ -519,7 +519,7 @@ define Device/nec_wg800hp
     append-rootfs | pad-rootfs | check-size $$$$(IMAGE_SIZE) | \
     xor-image -p 6A57190601121E4C004C1E1201061957 -x | \
     nec-fw LASER_ATERM
-  DEVICE_PACKAGES := kmod-ath10k-ct-smallbuffers ath10k-firmware-qca9887-ct-htt
+  DEVICE_PACKAGES := kmod-ath10k-ct-smallbuffers ath10k-firmware-qca9887-ct-full-htt
 endef
 TARGET_DEVICES += nec_wg800hp
 